Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.core.script
Class ScriptableParameters

    java.lang.Object
      org.eclipse.birt.core.script.BaseScriptable
          org.eclipse.birt.core.script.ScriptableParameters

All Implemented Interfaces:
  org.mozilla.javascript.Scriptable

    public class ScriptableParameters

extends BaseScriptable

Field Summary

Fields inherited from interface org.mozilla.javascript.Scriptable
`NOT_FOUND`

Constructor Summary
`ScriptableParameters(java.util.Map parameters, org.mozilla.javascript.Scriptable scope)`

Method Summary
`java.lang.Object` | `get(int index, org.mozilla.javascript.Scriptable start)`
`java.lang.Object` | `get(java.lang.String name, org.mozilla.javascript.Scriptable start)`
`java.lang.String` | `getClassName()`
`boolean` | `has(java.lang.String name, org.mozilla.javascript.Scriptable start)`
`void` | `put(java.lang.String name, org.mozilla.javascript.Scriptable start, java.lang.Object value)` Support setting parameter value by following methods: params["a"] = new ParameterAttribute( "value", "displayText"); params["a"] = params["b"] params["a"] = "value"

Methods inherited from class org.eclipse.birt.core.script.BaseScriptable
`delete, delete, getDefaultValue, getIds, getParentScope, getPrototype, has, hasInstance, put, setParentScope, setPrototype`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScriptableParameters

    public ScriptableParameters(java.util.Map parameters,
                                org.mozilla.javascript.Scriptable scope)

Method Detail

### get

    public java.lang.Object get(java.lang.String name,
                                org.mozilla.javascript.Scriptable start)

### get

    public java.lang.Object get(int index,
                                org.mozilla.javascript.Scriptable start)

  Specified by:
    `get` in interface `org.mozilla.javascript.Scriptable`
  Overrides:
    `get` in class `BaseScriptable`

### has

    public boolean has(java.lang.String name,
                       org.mozilla.javascript.Scriptable start)

### put

    public void put(java.lang.String name,
                    org.mozilla.javascript.Scriptable start,
                    java.lang.Object value)

  Support setting parameter value by following methods:
  - params["a"] = new ParameterAttribute( "value", "displayText");
  - params["a"] = params["b"]
  - params["a"] = "value"

### getClassName

    public java.lang.String getClassName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.